Bug 22507 - missing feature: file transfer
Summary: missing feature: file transfer
Status: RESOLVED FIXED
Alias: None
Product: Telepathy
Classification: Unclassified
Component: butterfly (show other bugs)
Version: unspecified
Hardware: Other All
: medium enhancement
Assignee: Telepathy bugs list
QA Contact: Telepathy bugs list
URL: http://git.collabora.co.uk/?p=user/jo...
Whiteboard:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2009-06-27 01:27 UTC by Nicolò Chieffo
Modified: 2010-07-09 10:09 UTC (History)
7 users (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nicolò Chieffo 2009-06-27 01:27:43 UTC
The current version of butterfly in karmic does not support file transfers (neither direct or through server).
Comment 1 Luis Medinas 2009-11-10 13:10:09 UTC
This is a very important feature so cc myself :)
Comment 2 Nicolò Chieffo 2010-01-22 08:21:19 UTC
can you give me your git repository, so I can help you to test?
Comment 3 Jonny Lamb 2010-04-28 14:43:12 UTC
So, this is pretty much working. It relies on my papyon "direct" branch.

At the moment, all traffic is sent through MSN's servers, which is pretty damn slow, but its a start. I don't really want this branch to get bitrotten.

I rebased on top of master because lots of things had changed. Anyway, it's a start. It's not really merge-ready now, but a review soonish would be nice to get this rolling.
Comment 4 Jonny Lamb 2010-07-09 10:09:25 UTC
Okay I merged the branch with Louis-Francis and my work in. master depends on papyon 0.4.9 which only has switchboard file transfer, but it's a start. Also, once direct transfers are implemented in papyon, butterfly /should/ need no changes.

We will see.

Anyway, this is fixed.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.